libinput-quirks(1)

NAME
libinput-quirks - quirk debug helper for libinput

SYNOPSIS
libinput quirks list [--data-dir /path/to/dir] [--verbose] /dev/input/event0

libinput quirks validate [--data-dir /path/to/dir] [--verbose]

libinput quirks --help

DESCRIPTION

The libinput quirks tool interacts with libinput's quirks database.

When invoked as libinput quirks list, the tool lists all quirks applied to the given device.

When invoked as libinput quirks validate, the tool checks for parsing errors in the quirks files and fails if a parsing error is encountered.

This is a debugging tool only, its output and behavior may change at any time. Do not rely on the output.

OPTIONS

--data-dir /path/to/dir
    Use the given directory as data directory for quirks files. When omitted, the default directories are used.

--help
    Print help

--verbose
    Use verbose output, useful for debugging.

LIBINPUT
Part of the libinput(1) suite